Amazon SageMaker 中的基础设施安全性 - Amazon SageMaker
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon SageMaker 中的基础设施安全性

作为一项托管服务,Amazon SageMaker 由 AWS 中所述的 Amazon Web Services 全球网络安全程序提供保护: 安全流程概述白皮书。

您可以使用 AWS 发布的 API 调用通过网络访问 Amazon SageMaker。客户端必须支持传输层安全性 (TLS) 1.0 或更高版本。建议使用 TLS 1.2 或更高版本。客户端还必须支持具有完全向前保密 (PFS) 的密码套件,例如 Ephemeral Diffie-Hellman (DHE) 或 Elliptic Curve Ephemeral Diffie-Hellman (ECDHE)。大多数现代系统(如 Java 7 及更高版本)都支持这些模式。

此外,必须使用访问密钥 ID 和与 IAM 主体关联的秘密访问密钥来对请求进行签名。或者,您可以使用 AWS Security Token Service (AWS STS) 生成临时安全凭证来对请求进行签名。

SageMaker 扫描 AWS Marketplace 训练和推理容器以查找安全漏洞

为满足我们的安全性要求,将对 AWS Marketplace 中列出的算法和模型软件包进行扫描,以发现常见漏洞和风险 (CVE)。CVE 是有关安全漏洞和风险的公共已知信息的列表。国家漏洞数据库 (NVD) 提供了 CVE 详细信息,如严重性、影响评分和修复信息。CVE 和 NVD 都可供公众使用,安全工具和服务使用它们时免费。有关更多信息,请参阅 http://cve.mitre.org/about/faqs.html#what_is_cve